STRUCT(3)

NAME
boost::date_time::time_resolution_traits_adapted64_impl - traits struct for time_resolution_traits implementation type

SYNOPSIS

// In header: <boost/date_time/time_resolution_traits.hpp>
struct time_resolution_traits_adapted64_impl {
  // types
  typedef boost::int64_t                                  int_type;
  typedef boost::date_time::int_adapter< boost::int64_t > impl_type;
  // public static functions
  static int_type as_number(impl_type);
  static bool is_adapted();
};

DESCRIPTION

  time_resolution_traits_adapted64_impl public static functions

    1.

    static int_type as_number(impl_type i);

    2.

    static bool is_adapted();
    Used to determine if implemented type is int_adapter or int. .RE